import { defineCollection, z } from "astro:content"
const projectCollection = defineCollection({
  type: "content",
  schema: ({ image }) =>
    z.object({
      title: z.string(),
      description: z.string(),
      heroImage: image(),
      heroImageAlt: z.string(),
      tags: z.array(z.string()),
      source: z.string(),
      createdAt: z.string(),
      updatedAt: z.string(),
    }),
})
export const collections = {
  projects: projectCollection,
}
